Intent of 14_useradd_out_of_range_UID.test was to test with UID=2**32, not 2**31. Although the limit for UIDs used to be 2**31-1.

This commit is contained in:
nekral-guest
2009-03-16 21:27:45 +00:00
parent f4c395459d
commit f0866cc1fb

View File

@@ -16,8 +16,8 @@ trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "Create user test1 with UID 2147483648 (useradd -u 2147483648 test1)..."
msg=$(useradd -u 2147483648 test1 2>&1) && exit 1 || {
echo -n "Create user test1 with UID 4294967296 (useradd -u 4294967296 test1)..."
msg=$(useradd -u 4294967296 test1 2>&1) && exit 1 || {
status=$?
}
echo "OK"
@@ -26,8 +26,8 @@ echo "and displayed \"$msg\""
echo -n "The returned status should be 3..."
test "$status" = "3"
echo "OK"
echo -n "Test the error message (should be \"useradd: invalid numeric argument '2147483648'\")..."
test "$msg" = "useradd: invalid numeric argument '2147483648'"
echo -n "Test the error message (should be \"useradd: invalid user ID '4294967296'\")..."
test "$msg" = "useradd: invalid user ID '4294967296'"
echo "OK"
echo -n "Check the passwd file..."